import 'dart:ui';

import 'package:google_maps_flutter/google_maps_flutter.dart';

/*
 *Sabit değerlerin tümü burada belirlenecek ve istenilen yerlerde kullanılacak.
 ! Bunun gibi sabit değişkenlerin sadece burada tanımlanması lazım.
 */
class Constant {
  static final userToken = "UserToken";
  static final userSecret = "UserSecret";
  static final userPhoneNumber = "UserPhoneNumber";
  static final userFullName = "UserFullName";
  static LatLng centerLocation = const LatLng(41.015137, 28.979530); // Istanbul
}

class AlertType {
  static final error = 'Hata';
  static final warning = 'Uyarı';
  static final success = 'Başarılı';
}

class ApiServiceUrl {
  static final baseUrl =
      'http://192.168.1.29:5000/api/'; //beta.gelal.com.tr/api/
  static final phoneNumberConfirm = 'membership/UserConfirmation/ConfirmUser';
  static final userLogin = 'membership/User/Login';
}

class AppColors {
  static final green = const Color(0xff0fa510);
  static final veryLightPink = const Color(0xfff3f3f3);
  static final black = const Color(0xff272727);
  static final grass = const Color(0xff569b2f);
  static final brownGrey = const Color(0xff818181);
  static final macaroniAndCheese = const Color(0xfffcc839);
}

class AppIcons {
  static final pedestrianIcon = 'assets/icons/pedestrian.png';
  
  static final carIcon = 'assets/icons/car2.png';
  static final car = 'assets/images/car.png';

  static final truckIcon = 'assets/icons/truck.png';
  static final truck = 'assets/images/truck.png';

  static final motorIcon = 'assets/icons/motor.png';
  static final motor = 'assets/images/motor.png';

  static final planeIcon = 'assets/icons/plane.png';

  static final homeIcon = 'assets/icons/home.png';

  static final hereIcon = 'assets/icons/here.png';
  static final packageBlack = 'assets/images/stuff.png';
  static final packageGrey = 'assets/images/package_box.png';
  static final shipCompleted = 'assets/images/ship_completed.png';

  static final minivanImage = 'assets/images/minivan_image.png';
  static final panelvanImage = 'assets/images/panelvan_image.png';
  static final kamyonetImage = 'assets/images/kamyonet_image.png';
  static final kamyonImage = 'assets/images/kamyon_image.png';
  static final tirImage = 'assets/images/tir_image.png';
}
